## kfilemetadata-kf5 5.38.0

=== debian/changelog ===
kfilemetadata-kf5 (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:17 +0100

kfilemetadata-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:48:56 +0100

kfilemetadata-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)
  * Add qtmultimedia5-dev to Build-Depends

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:53:39 +0100

kfilemetadata-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:58:56 +0100

kfilemetadata-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:26:51 +0100

kfilemetadata-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:06:24 +0100
