=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: catdoc,
-               cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libattr1-dev,
                libavcodec-dev,
                libavdevice-dev (>= 1.0~),
@@ -14,18 +16,20 @@
                libavutil-dev,
                libepub-dev,
                libexiv2-dev (>= 0.21),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
                libpoppler-qt5-dev (>= 0.12.1),
                libpostproc-dev,
+               libqt5sql5-sqlite:native,
                libswscale-dev,
                libtag1-dev (>= 1.9~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18),
-               qtbase5-dev (>= 5.6.1~),
-               qtmultimedia5-dev
-Standards-Version: 3.9.8
-Homepage: https://projects.kde.org/projects/kde/workspace/kfilemetadata
+               qtbase5-dev (>= 5.8.0~),
+               qtmultimedia5-dev,
+               qttools5-dev-tools,
+Standards-Version: 4.1.4
+Homepage: https://projects.kde.org/projects/frameworks/kfilemetadata
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kfilemetadata
 
@@ -61,9 +65,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5filemetadata3 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5filemetadata-doc (= ${source:Version})
 Conflicts: libkf5filemetadata1-dev
 Description: library for extracting file metadata
  This library is for extracting file metadata.
@@ -71,6 +76,18 @@
  kfilemetadata is part of the KDE frameworks.
  .
  This package contains the development files.
+
+Package: libkf5filemetadata-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library for extracting file metadata (documentation)
+ This library is for extracting file metadata.
+ .
+ kfilemetadata is part of the KDE Plasma desktop.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5filemetadata3
 Architecture: any
