## kfilemetadata-kf5 5.56.0

=== debian/changelog ===
kfilemetadata-kf5 (5.56.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New build dep on libkf5coreaddons-dev.
  * Update symbols from build logs.
  * lintian override for file not used or installed.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:38 +0000

kfilemetadata-kf5 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:30:50 +0000

kfilemetadata-kf5 (5.54.0-0ubuntu1) disco; urgency=medium

  * Add qttools5-dev for Qt5Help.
  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:40 +0000

kfilemetadata-kf5 (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:25 +0000

kfilemetadata-kf5 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Update symbols files
  * Add libkf5coreaddons-data to testsuite Depends, see
    https://phabricator.kde.org/D16593 for more information

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:56 +0000
