## kfilemetadata-kf5 5.62.0

=== debian/changelog ===
kfilemetadata-kf5 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Disable autopkgtest testsuite
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:00 -0700

kfilemetadata-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 932274).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Add missing build dep
  * Update symbols file
  * Ignore reprotest build path variations
  * Add debian/source/lintian-overrides about autotests/samplefiles/test.AppImage
  * Release to experimental

  [ Jonathan Riddell ]
  * moved conffile

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:30 +0100
